Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class MarkupDefinitionManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.MarkupDefinitionManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IMarkupDefinitionManager, Serializable, SessionBean

public class MarkupDefinitionManagerImpl
extends Object
implements SessionBean, IMarkupDefinitionManager

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`MarkupDefinitionManagerImpl()`

Method Summary
`MarkupDefinition` | `createMarkupDefinition(CustomizationContext customizationContext, MarkupDefinition markupDefinition)` Creates a new MarkupView Definition with its placeholders.
`void` | `deleteMarkupDefinition(CustomizationContext customizationContext, MarkupDefinitionId markupDefinitionId)` Delete a markup definition.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`MarkupDefinition` | `getMarkupDefinition(CustomizationContext customizationContext, MarkupDefinitionId markupDefinitionId)` Getter for returning a single `MarkupDefinition` object given a supplied markup definition identifier.
`MarkupDefinition` | `getMarkupDefinition(CustomizationContext customizationContext, String markupName, String webAppName)` Getter for returning a single `MarkupDefinition` object given a supplied markup name.
`MarkupDefinition` | `getMarkupDefinitionFromFile(CustomizationContext customizationContext, String markupFileName, String webAppName)` Getter for returning a single `MarkupDefinition` object given a supplied markup file name name.
`MarkupDefinition[]` | `getMarkupDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `MarkupDefinitions` scoped to the supplied webapp.
`MarkupView` | `getMarkupView(CustomizationContext customizationContext, MarkupDefinitionId markupDefinitionId)` Getter for returning an immutable deep copy of a `MarkupView`.
`void` | `setSessionContext(SessionContext sessionContext)`
`void` | `updateMarkupDefinition(CustomizationContext customizationContext, MarkupDefinition markupDefinition)` Update the markup definition with the new data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### MarkupDefinitionManagerImpl

    public MarkupDefinitionManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getMarkupView

    public MarkupView getMarkupView(CustomizationContext customizationContext,
                                    MarkupDefinitionId markupDefinitionId)
                             throws RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Getter for returning an immutable deep copy of a `MarkupView`. The `MarkupView` object, unlike the `MarkupDefinition` or the `MarkupInstance` objects contains a full set of references to all child pages, markups and so on. The `MarkupView` object however is immutable.

  Specified by:
    `getMarkupView` in interface `IMarkupDefinitionManager`
  Parameters:
    `markupDefinitionId` - the unique markupDefinitionId.
  Returns:
    an immutable deep copy MarkupView object if one exist, otherwise null.
    `RemoteException`

### getMarkupDefinitions

    public MarkupDefinition[] getMarkupDefinitions(CustomizationContext customizationContext,
                                                   String webapp)
                                            throws RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Getter for returning a list of all `MarkupDefinitions` scoped to the supplied webapp.

  Specified by:
    `getMarkupDefinitions` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `webapp` - the web application these markup definitions are scoped to.
  Returns:
    an array of MarkupDinfition objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `MarkupDefinition`

### getMarkupDefinition

    public MarkupDefinition getMarkupDefinition(CustomizationContext customizationContext,
                                                MarkupDefinitionId markupDefinitionId)
                                         throws RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Getter for returning a single `MarkupDefinition` object given a supplied markup definition identifier.

  Specified by:
    `getMarkupDefinition` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `markupDefinitionId` - the unique markup definition identifier.
  Returns:
    a `MarkupDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `MarkupDefinition`

### getMarkupDefinition

    public MarkupDefinition getMarkupDefinition(CustomizationContext customizationContext,
                                                String markupName,
                                                String webAppName)
                                         throws RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Getter for returning a single `MarkupDefinition` object given a supplied markup name.

  Specified by:
    `getMarkupDefinition` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `markupName` - the markup name.
  Returns:
    a `MarkupDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `MarkupDefinition`

### getMarkupDefinitionFromFile

    public MarkupDefinition getMarkupDefinitionFromFile(CustomizationContext customizationContext,
                                                        String markupFileName,
                                                        String webAppName)
                                                 throws RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Getter for returning a single `MarkupDefinition` object given a supplied markup file name name.

  Specified by:
    `getMarkupDefinitionFromFile` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `markupFileName` - the name of the markup file relative to the webapp (/frameworks/markup/shell/my.shell)
  Returns:
    a `MarkupDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `MarkupDefinition`

### createMarkupDefinition

    public MarkupDefinition createMarkupDefinition(CustomizationContext customizationContext,
                                                   MarkupDefinition markupDefinition)
                                            throws MissingDataException,
                                                   NotEntitledException,
                                                   RemoteException,
                                                   DuplicateObjectException

  Description copied from interface: `IMarkupDefinitionManager`
  Creates a new MarkupView Definition with its placeholders.

  Specified by:
    `createMarkupDefinition` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `markupDefinition` - the markup data and associated placeholders
  Returns:
    a fully populated MarkupDefinition
  Throws:
    `DuplicateObjectException` - another markup definition has the same markup name, type and webapp
    `NotEntitledException` - the caller is not entitled to create a new markup.
    `MissingDataException` - the markupDefiniiton supplied as an argument is missing some vital data.
    `RemoteException`

### updateMarkupDefinition

    public void updateMarkupDefinition(CustomizationContext customizationContext,
                                       MarkupDefinition markupDefinition)
                                throws ObjectNotFoundException,
                                       NotEntitledException,
                                       RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Update the markup definition with the new data.

  Specified by:
    `updateMarkupDefinition` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `markupDefinition` - the markup definition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `NotEntitledException`
    `RemoteException`

### deleteMarkupDefinition

    public void deleteMarkupDefinition(CustomizationContext customizationContext,
                                       MarkupDefinitionId markupDefinitionId)
                                throws ObjectNotFoundException,
                                       NotEntitledException,
                                       RemoteException

  Description copied from interface: `IMarkupDefinitionManager`

  Delete a markup definition. The markup definition will not be deleted if it is a built in type or the markup is in use. This method will not throw an `ObjectInUseException` instead it will abort silently. To determine if these special conditions are occuring turn on debuging for `com.bea.netuix.application.manager.persistence.jdbc.MarkupDefinitionDelegate`.

  Specified by:
    `deleteMarkupDefinition` in interface `IMarkupDefinitionManager`
  Parameters:
    `customizationContext` - for customization information
    `markupDefinitionId` - the id of the markup definition to delete.
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectNotFoundException` - if the markupDefinitionId is bogus
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved